org.jfree.report.modules.gui.common

## Class DefaultIconTheme

- java.lang.Object
- - org.jfree.report.modules.gui.common.DefaultIconTheme

- All Implemented Interfaces:
    IconTheme

      public class DefaultIconTheme
      extends java.lang.Object
      implements IconTheme

  Creation-Date: 13.11.2006, 19:27:51
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultIconTheme()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Icon` | `getLargeIcon(java.util.Locale locale, java.lang.String id)`
    `javax.swing.Icon` | `getSmallIcon(java.util.Locale locale, java.lang.String id)`
    `void` | `initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultIconTheme

          public DefaultIconTheme()

  - ### Method Detail

    - #### initialize

          public void initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)

      Specified by:
        `initialize` in interface `IconTheme`

    - #### getSmallIcon

          public javax.swing.Icon getSmallIcon(java.util.Locale locale,
                                               java.lang.String id)

      Specified by:
        `getSmallIcon` in interface `IconTheme`

    - #### getLargeIcon

          public javax.swing.Icon getLargeIcon(java.util.Locale locale,
                                               java.lang.String id)

      Specified by:
        `getLargeIcon` in interface `IconTheme`